Debian Bug report logs - #544823
smartmontools: smartd no longer autodetects my disks and will no longer start

version graph

Package: smartmontools; Maintainer for smartmontools is Giuseppe Iuculano <iuculano@debian.org>; Source for smartmontools is src:smartmontools.

Reported by: Stuart Pook <debian49@pook.it>

Date: Thu, 3 Sep 2009 07:45:02 UTC

Severity: normal

Tags: upstream

Found in version smartmontools/5.38+svn2879-1

Fixed in version smartmontools/5.38+svn2879-2

Done: Giuseppe Iuculano <giuseppe@iuculano.it>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/apps/trac/smartmontools/ticket/6

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <giuseppe@iuculano.it>:
Bug#544823; Package smartmontools. (Thu, 03 Sep 2009 07:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Pook <debian49@pook.it>:
New Bug report received and forwarded. Copy sent to Giuseppe Iuculano <giuseppe@iuculano.it>. (Thu, 03 Sep 2009 07:45:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stuart Pook <debian49@pook.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: smartmontools: smartd no longer autodetects my disks and will no longer start
Date: Thu, 03 Sep 2009 09:30:47 +0200
Package: smartmontools
Version: 5.38+svn2879-1
Severity: important

I just upgraded smartmontools from 5.38-3 to 5.38+svn2879-1 and it now refuses to start. I have fairly standard disks I think.

: root; /usr/sbin/smartd  -d
smartd 5.39 2009-08-29 r2879 [i686-pc-linux-gnu] (local build)
Copyright (C) 2002-9 by Bruce Allen, http://smartmontools.sourceforge.net

Opened configuration file /etc/smartd.conf
Configuration file /etc/smartd.conf parsed.
Device: /dev/disk/by-id/ata-ST3200822A_3LJ00N4L, unable to autodetect device type
Device: /dev/disk/by-id/ata-WDC_WD6400AAKS-00A7B2_WD-WMASY2546840, unable to autodetect device type
Unable to monitor any SMART enabled devices. Try debug (-d) option. Exiting...

: root; sed -e 's/#.*//' -e '/^ *$/d' /etc/smartd.conf
/dev/disk/by-id/ata-ST3200822A_3LJ00N4L -n standby -a -S on -m root
/dev/disk/by-id/ata-WDC_WD6400AAKS-00A7B2_WD-WMASY2546840 -n standby -a -S on -s (L/../../2/05|S/../.././05) -m root
: root; ls -l /dev/disk/by-id/ata-ST3200822A_3LJ00N4L  /dev/disk/by-id/ata-WDC_WD6400AAKS-00A7B2_WD-WMASY2546840
lrwxrwxrwx 1 root root 9 2009-08-29 00:47 /dev/disk/by-id/ata-ST3200822A_3LJ00N4L -> ../../sda
lrwxrwxrwx 1 root root 9 2009-08-29 00:47 /dev/disk/by-id/ata-WDC_WD6400AAKS-00A7B2_WD-WMASY2546840 -> ../../sdb

The version in testing works fine

: root; apt-get -t testing install smartmontools/testing
Selected version 5.38-3 (Debian:testing) for smartmontools
The following packages will be DOWNGRADED:
  smartmontools
0 upgraded, 0 newly installed, 1 downgraded, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
Need to get 326kB of archives.
After this operation, 152kB disk space will be freed.
Get:1 ftp://ftp.fr.debian.org testing/main smartmontools 5.38-3 [326kB]
Fetched 326kB in 0s (471kB/s)  
(Reading database ... 275990 files and directories currently installed.)
Preparing to replace smartmontools 5.38+svn2879-1 (using .../smartmontools_5.38-3_i386.deb) ...
Stopping S.M.A.R.T. daemon: smartd.
Unpacking replacement smartmontools ...
Setting up smartmontools (5.38-3) ...
Installing new version of config file /etc/init.d/smartmontools ...

Configuration file `/etc/smartd.conf'
 ==> Modified (by you or by a script) since installation.
 ==> Package distributor has shipped an updated version.
   What would you like to do about it ?  Your options are:
    Y or I  : install the package maintainer's version
    N or O  : keep your currently-installed version
      D     : show the differences between the versions
      Z     : background this process to examine the situation
 The default action is to keep your current version.
*** smartd.conf (Y/I/N/O/D/Z) [default=N] ? 
Starting S.M.A.R.T. daemon: smartd.




-- Package-specific info:
Ouput of /usr/share/bug/smartmontools:
# CONFIG_IDE_TASK_IOCTL is not set

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.30-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages smartmontools depends on:
ii  debianutils                   3.2.1      Miscellaneous utilities specific t
ii  libc6                         2.9-26     GNU C Library: Shared libraries
ii  libcap-ng0                    0.5.1-1    Development and header files for l
ii  libgcc1                       1:4.4.1-3  GCC support library
ii  libstdc++6                    4.4.1-3    The GNU Standard C++ Library v3
ii  lsb-base                      3.2-23     Linux Standard Base 3.2 init scrip

Versions of packages smartmontools recommends:
ii  bsd-mailx [mailx]  8.1.2-0.20081101cvs-2 A simple mail user agent
ii  mailx              1:20081101-2          Transitional package for mailx ren

Versions of packages smartmontools suggests:
pn  gsmartcontrol                 <none>     (no description available)
pn  powersaved                    <none>     (no description available)
pn  smart-notifier                <none>     (no description available)

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#544823; Package smartmontools. (Thu, 03 Sep 2009 08:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
Extra info received and forwarded to list. (Thu, 03 Sep 2009 08:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 544823@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: Stuart Pook <debian49@pook.it>, 544823@bugs.debian.org
Subject: Re: Bug#544823: smartmontools: smartd no longer autodetects my disks and will no longer start
Date: Thu, 03 Sep 2009 09:56:58 +0200
[Message part 1 (text/plain, inline)]
Hi Stuart,

Stuart Pook ha scritto:
> : root; sed -e 's/#.*//' -e '/^ *$/d' /etc/smartd.conf
> /dev/disk/by-id/ata-ST3200822A_3LJ00N4L -n standby -a -S on -m root
> /dev/disk/by-id/ata-WDC_WD6400AAKS-00A7B2_WD-WMASY2546840 -n standby -a -S on -s (L/../../2/05|S/../.././05) -m root
> : root; ls -l /dev/disk/by-id/ata-ST3200822A_3LJ00N4L  /dev/disk/by-id/ata-WDC_WD6400AAKS-00A7B2_WD-WMASY2546840
> lrwxrwxrwx 1 root root 9 2009-08-29 00:47 /dev/disk/by-id/ata-ST3200822A_3LJ00N4L -> ../../sda
> lrwxrwxrwx 1 root root 9 2009-08-29 00:47 /dev/disk/by-id/ata-WDC_WD6400AAKS-00A7B2_WD-WMASY2546840 -> ../../sdb


Could you try with /dev/sdX instead of /dev/disk/by-id please?

Cheers,
Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Set Bug forwarded-to-address to 'https://sourceforge.net/apps/trac/smartmontools/ticket/6'. Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Thu, 03 Sep 2009 10:09:08 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Thu, 03 Sep 2009 10:09:10 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Thu, 03 Sep 2009 16:00:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <giuseppe@iuculano.it>:
Bug#544823; Package smartmontools. (Fri, 04 Sep 2009 07:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Pook <debian49@pook.it>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <giuseppe@iuculano.it>. (Fri, 04 Sep 2009 07:24:04 GMT) Full text and rfc822 format available.

Message #21 received at 544823@bugs.debian.org (full text, mbox):

From: Stuart Pook <debian49@pook.it>
To: Giuseppe Iuculano <giuseppe@iuculano.it>
Cc: 544823@bugs.debian.org
Subject: Re: Bug#544823: smartmontools: smartd no longer autodetects my disks and will no longer start
Date: Fri, 04 Sep 2009 09:16:56 +0200
hi Giuseppe

On 03/09/09 09:56, Giuseppe Iuculano wrote:
> Could you try with /dev/sdX instead of /dev/disk/by-id please?

that works.

I would like to be able to continue to specify by disks by their names in /dev/disk/by-id. This avoids problems when I move the disks.

Why does smartd (run as root!) refuse to use a configuration file that is owned by another user mode 600?

thanks for your help
Stuart

: root; cat /tmp/smartd.conf
/dev/sda -n standby -a -S on -m root
/dev/sdb -n standby -a -S on -s (L/../../2/05|S/../.././05) -m root
: root; sed -e 's/#.*//' -e '/^ *$/d' /etc/smartd.conf
/dev/disk/by-id/ata-ST3200822A_3LJ00N4L -n standby -a -S on -m root
/dev/disk/by-id/ata-WDC_WD6400AAKS-00A7B2_WD-WMASY2546840 -n standby -a -S on -s (L/../../2/05|S/../.././05) -m root
: root; ls -ilL /dev/sda /dev/disk/by-id/ata-ST3200822A_3LJ00N4L
3291 brw-rw---- 1 root disk 8, 0 2009-09-03 20:48 /dev/disk/by-id/ata-ST3200822A_3LJ00N4L
3291 brw-rw---- 1 root disk 8, 0 2009-09-03 20:48 /dev/sda
: root; ls -ilL /dev/sdb /dev/disk/by-id/ata-WDC_WD6400AAKS-00A7B2_WD-WMASY2546840
3235 brw-rw---- 1 root disk 8, 16 2009-09-03 20:48 /dev/disk/by-id/ata-WDC_WD6400AAKS-00A7B2_WD-WMASY2546840
3235 brw-rw---- 1 root disk 8, 16 2009-09-03 20:48 /dev/sdb
: root; apt-get install smartmontools
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Suggested packages:
 gsmartcontrol smart-notifier powersaved
The following packages will be upgraded:
 smartmontools
1 upgraded, 0 newly installed, 0 to remove and 14 not upgraded.
Need to get 399kB of archives.
After this operation, 152kB of additional disk space will be used.
Get:1 ftp://ftp.fr.debian.org unstable/main smartmontools 5.38+svn2879-1 [399kB]
Fetched 399kB in 1s (386kB/s)  
(Reading database ... 274877 files and directories currently installed.)
Preparing to replace smartmontools 5.38-3 (using .../smartmontools_5.38+svn2879-1_i386.deb) ...
Stopping S.M.A.R.T. daemon: smartd.
Unpacking replacement smartmontools ...
Processing triggers for man-db ...
Setting up smartmontools (5.38+svn2879-1) ...
Installing new version of config file /etc/init.d/smartmontools ...

Configuration file `/etc/smartd.conf'
==> Modified (by you or by a script) since installation.
==> Package distributor has shipped an updated version.
  What would you like to do about it ?  Your options are:
   Y or I  : install the package maintainer's version
   N or O  : keep your currently-installed version
     D     : show the differences between the versions
     Z     : background this process to examine the situation
The default action is to keep your current version.
*** smartd.conf (Y/I/N/O/D/Z) [default=N] ? 
Starting S.M.A.R.T. daemon: smartd failed!
invoke-rc.d: initscript smartmontools, action "start" failed.
dpkg: error processing smartmontools (--configure):
subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
smartmontools
E: Sub-process /usr/bin/dpkg returned an error code (1)
: root; /usr/sbin/smartd  -d
smartd 5.39 2009-08-29 r2879 [i686-pc-linux-gnu] (local build)
Copyright (C) 2002-9 by Bruce Allen, http://smartmontools.sourceforge.net

Opened configuration file /etc/smartd.conf
Configuration file /etc/smartd.conf parsed.
Device: /dev/disk/by-id/ata-ST3200822A_3LJ00N4L, unable to autodetect device type
Device: /dev/disk/by-id/ata-WDC_WD6400AAKS-00A7B2_WD-WMASY2546840, unable to autodetect device type
Unable to monitor any SMART enabled devices. Try debug (-d) option. Exiting...
: root; /usr/sbin/smartd  -d -c  /tmp/smartd.conf
smartd 5.39 2009-08-29 r2879 [i686-pc-linux-gnu] (local build)
Copyright (C) 2002-9 by Bruce Allen, http://smartmontools.sourceforge.net

Permission denied: Unable to open configuration file /tmp/smartd.conf
: root; ls -l /tmp/smartd.conf
-rw------- 1 stuart stuart 105 2009-09-04 09:09 /tmp/smartd.conf
: root; chmod 644 /tmp/smartd.conf
: root; /usr/sbin/smartd  -d -c  /tmp/smartd.conf
smartd 5.39 2009-08-29 r2879 [i686-pc-linux-gnu] (local build)
Copyright (C) 2002-9 by Bruce Allen, http://smartmontools.sourceforge.net

Opened configuration file /tmp/smartd.conf
Configuration file /tmp/smartd.conf parsed.
Device: /dev/sda, type changed from 'scsi' to 'sat'
Device: /dev/sda [SAT], opened
Device: /dev/sda [SAT], found in smartd database.
Device: /dev/sda [SAT], enabled SMART Attribute Autosave.
Device: /dev/sda [SAT], is SMART capable. Adding to "monitor" list.
Device: /dev/sdb, type changed from 'scsi' to 'sat'
Device: /dev/sdb [SAT], opened
Device: /dev/sdb [SAT], found in smartd database.
Device: /dev/sdb [SAT], enabled SMART Attribute Autosave.
Device: /dev/sdb [SAT], is SMART capable. Adding to "monitor" list.
Monitoring 2 ATA and 0 SCSI devices
Device: /dev/sda [SAT], opened ATA device
Device: /dev/sdb [SAT], opened ATA device




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#544823; Package smartmontools. (Fri, 04 Sep 2009 08:57:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
Extra info received and forwarded to list. (Fri, 04 Sep 2009 08:57:14 GMT) Full text and rfc822 format available.

Message #26 received at 544823@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: Stuart Pook <debian49@pook.it>
Cc: 544823@bugs.debian.org
Subject: Re: Bug#544823: smartmontools: smartd no longer autodetects my disks and will no longer start
Date: Fri, 04 Sep 2009 10:30:00 +0200
[Message part 1 (text/plain, inline)]
Hi,

Stuart Pook ha scritto:
> I would like to be able to continue to specify by disks by their names
> in /dev/disk/by-id. This avoids problems when I move the disks.

Yes, I already contacted upstream for that, I'm waiting for an answer.


> Why does smartd (run as root!) refuse to use a configuration file that
> is owned by another user mode 600?

This is a securiy feature introduced in the last version:

* [0dcf301] debian/patches/62_lowcap.patch: Drop all unnecessary
     capabilities

Cheers,
Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
You have taken responsibility. (Mon, 07 Sep 2009 13:42:11 GMT) Full text and rfc822 format available.

Notification sent to Stuart Pook <debian49@pook.it>:
Bug acknowledged by developer. (Mon, 07 Sep 2009 13:42:12 GMT) Full text and rfc822 format available.

Message #31 received at 544823-close@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: 544823-close@bugs.debian.org
Subject: Bug#544823: fixed in smartmontools 5.38+svn2879-2
Date: Mon, 07 Sep 2009 13:02:11 +0000
Source: smartmontools
Source-Version: 5.38+svn2879-2

We believe that the bug you reported is fixed in the latest version of
smartmontools, which is due to be installed in the Debian FTP archive:

smartmontools_5.38+svn2879-2.diff.gz
  to pool/main/s/smartmontools/smartmontools_5.38+svn2879-2.diff.gz
smartmontools_5.38+svn2879-2.dsc
  to pool/main/s/smartmontools/smartmontools_5.38+svn2879-2.dsc
smartmontools_5.38+svn2879-2_i386.deb
  to pool/main/s/smartmontools/smartmontools_5.38+svn2879-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 544823@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giuseppe Iuculano <giuseppe@iuculano.it> (supplier of updated smartmontools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 07 Sep 2009 14:24:17 +0200
Source: smartmontools
Binary: smartmontools
Architecture: source i386
Version: 5.38+svn2879-2
Distribution: unstable
Urgency: low
Maintainer: Giuseppe Iuculano <giuseppe@iuculano.it>
Changed-By: Giuseppe Iuculano <giuseppe@iuculano.it>
Description: 
 smartmontools - control and monitor storage systems using S.M.A.R.T.
Closes: 544823
Changes: 
 smartmontools (5.38+svn2879-2) unstable; urgency=low
 .
   * [51c0fd9] Build-depends on libcap-ng-dev only on linux. - thanks to
     Petr Salinger
   * [94843b0] Fixed Vcs-Browser field
   * [c2d3bf4] Do not Build-depends on libcap-ng-dev on sparc
   * [27a32a3] Dereference '/dev/disk/by-*/*' symlink before device type
     autodetection. (Closes: #544823)
Checksums-Sha1: 
 5ffa5b194df589ea8499556608b40a52ac90c7d3 1447 smartmontools_5.38+svn2879-2.dsc
 c2ff1a3a6fbd2848e77ea2484d5107a48d46e6b9 33595 smartmontools_5.38+svn2879-2.diff.gz
 5535a5d6e28e7a179202848096fc64fedbdfdb9a 401952 smartmontools_5.38+svn2879-2_i386.deb
Checksums-Sha256: 
 d1b9aa4ca966057fbbda24ebfba20df61fee6493d279fbb392f45fd3019bc99f 1447 smartmontools_5.38+svn2879-2.dsc
 6b83a69b923b2b7c3d3f3120c053d867a3b394361b09fb9a9caeca2dc221146f 33595 smartmontools_5.38+svn2879-2.diff.gz
 c74d8b01d2600fc2d10e6014a6e5fe2b15473d8be3f56af258b39fea31980769 401952 smartmontools_5.38+svn2879-2_i386.deb
Files: 
 50510cb815ad1e68307bbfa7d2bc803b 1447 utils optional smartmontools_5.38+svn2879-2.dsc
 338a826335eb60c701a1cb12218c10ed 33595 utils optional smartmontools_5.38+svn2879-2.diff.gz
 d3700a4bb0349e4b6cc63ead0a0c80c6 401952 utils optional smartmontools_5.38+svn2879-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqk/L4ACgkQNxpp46476aophgCcDXp/NhlQp07iYavaPtbHbF6R
kkkAoILLHsq8HvIg8rwlRG9k2e9XXOyu
=o4/+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 Oct 2009 07:31:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:11:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.